# xarray.backends.NetCDF4DataStore.encode

`NetCDF4DataStore.``encode`(variables, attributes)

  Encode the variables and attributes in this store

  Parameters:

  - variables (dict-like) – Dictionary of key/value (variable name / xr.Variable) pairs
  - attributes (dict-like) – Dictionary of key/value (attribute name / attribute) pairs

  Returns:

  - variables (dict-like)
  - attributes (dict-like)